<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{menu_setting}">
<head>
    <meta charset="UTF-8">
    <title>Kewajiban</title>
</head>
<body>

<div layout:fragment="setting" class="box-body no-padding">
    <div class="box box-primary">
        <form role="form" th:action="@{/setting/setting_kewajiban}" th:object="${kewajiban}" method="post">
            <div class="box-header with-border">
                <h3 class="box-title">Kewajiban</h3>
            </div>
            <div class="box-body">
                <input type="hidden" name="id" th:field="*{id}">
                <div class="form-group">
                    <label>Pilih Jenis Kewajiban</label>
                    <select th:field="*{jenisKewajiban.id}" class="form-control select2" style="width: 100%;" id="jenisKewajiban" name="jenisKewajiban">
                        <option value="">Pilih Jenis Kewajiban ...</option>
                        <option th:each="jenisKewajibans : ${jenisKewajiban}"
                                th:value="${jenisKewajibans.id}"
                                th:text="${jenisKewajibans.namaJenisKewajiban}"></option>
                    </select>
                </div>

                <div class="form-group">
                    <label>Tanggal Mulai Berlaku:</label>
                    <div class="input-group date">
                        <div class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </div>
                        <input type="text" th:field="*{tanggalMulaiBerlakuString}" name="tanggalMulaiBerlaku" class="form-control pull-right" id="datepicker">
                    </div>
                </div>

                <div class="form-group">
                    <label>Waktu Mulai</label>
                    <input type="time" th:field="*{waktuMulai}" class="form-control" name="waktuMulai" id="waktuMulai" placeholder="Waktu mulai ...">
                </div>

                <div class="form-group">
                    <label>Waktu Selesai</label>
                    <input type="time" th:field="*{waktuSelesai}" class="form-control" name="waktuSelesai" id="waktuSelesai" placeholder="Waktu Selesai ...">
                </div>

                <div class="form-group">
                    <label>Tipe Check In</label>
                    <select th:field="*{tipeCheckIn}" class="form-control">
                        <option value="D">D</option>
                        <option value="L">L</option>
                    </select>
                </div>

                <div class="form-group">
                    <label>Description</label>
                    <input th:field="*{deskripsi}" class="form-control" name="deskripsi" id="deskripsi" rows="3" placeholder="Description ...">
                </div>

                <div class="form-group">
                    <label>Bobot Nilai</label>
                    <input th:field="*{bobotNilai}" type="text" class="form-control" name="bobotNilai" id="bobotNilai" placeholder="Bobot Nilai ...">
                </div>
            </div>
            <div class="box-footer clearfix">
                <a th:href="@{/setting/setting_kewajiban}" class="btn btn-default">Cancel</a>
                <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>
            </div>
        </form>
    </div>
</div>
</body>
</html>